incubator-s4-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lefteris Soulas <lefterissou...@gmail.com>
Subject Re: cannot run speech01 example
Date Wed, 07 Dec 2011 21:38:49 GMT
You rock man! :D
Sorry for the late response but something came up.
Really thanks for your help
My regards,
Lefteris

On Wed, Dec 7, 2011 at 2:40 PM, Matthieu Morel <mmorel@apache.org> wrote:

> On 1/10/12 12:14 PM, lefterissoulas@gmail.com wrote:
>
>> Dear Matthieu,
>> I am using Ubuntu 11.10 and yes its the latest version of S4.
>> About the shell I don't know; its the shell of Ubuntu..
>> Is there a way I can use another shell??
>>
>
> In Ubuntu 11.10, /bin/sh points to /bin/dash. That's what is causing the
> problem.
>
> You should either modify the symlink for /bin/sh to point to /bin/bash, or
> replace "sh" by "bash" in this command line:
>
> head -10 $S4_IMAGE/s4-example-**testinput/speeches.txt | \
> sh $S4_IMAGE/s4-tools-**loadgenerator/scripts/**generate-load.sh -r 2 -
>
>
> Matthieu
>
>
>>
>>
>>
>> On 7 Δεκ 2011, at 12:40 μ.μ., Matthieu Morel<mmorel@apache.org>  wrote:
>>
>>  On 12/6/11 8:16 PM, Lefteris Soulas wrote:
>>>
>>>> Hello all,
>>>> my name is Lefteris and I am a new user of S4.
>>>> I try to run the examples speech01 and speech02 but with no luck.
>>>> When I arrive at the point where I must pass the speeches.txt file
>>>> as argument to generate-load.sh I get the following error
>>>>
>>>> $ head -10 $S4_IMAGE/s4-example-**testinput/speeches.txt | \
>>>>
>>>>> sh $S4_IMAGE/s4-tools-**loadgenerator/scripts/**generate-load.sh -r 2
>>>>> -
>>>>>
>>>> [: 27: ==: unexpected operator
>>>> [: 57: x: unexpected operator
>>>> [: 61: x2: unexpected operator
>>>> [: 65: x: unexpected operator
>>>> [: 69: x: unexpected operator
>>>>
>>>> Parsing failed.  Reason: Missing argument for option: a
>>>>
>>>>
>>>> I have tried to find a solution by looking at generate-load.sh code
>>>> but I didn't figure out what the problem is.
>>>> Please let me know if someone can help with this issue.
>>>> Thanks in advance
>>>> Regards,
>>>> Lefteris
>>>>
>>>
>>>
>>> Hi Lefteris,
>>>
>>> I assume you are referring to the 0.3 release.
>>>
>>> The scripts have been tested on:
>>> - Red Hat Enterprise Linux 4
>>> - Mac OS X Leopard
>>>
>>>  From what I see, the errors come from an invalid parsing of the
>>> generate-load script. It looks like the shell interpreter you are using is
>>> not the correct one.
>>>
>>> Which OS are you using? What shell are you using? (generate-load is a
>>> bash script)
>>>
>>> Regards,
>>>
>>> Matthieu
>>>
>>>
>>>
>

Mime
View raw message